Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module containereditor :: Class ContainerEditorControllerApi |
[frames] | no frames]

# Class ContainerEditorControllerApi

source code

    object --+
             |
            ContainerEditorControllerApi

Instance Methods
__init__(self, db, container) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
set_name(self, name) | source code
get_name(self) | source code
set_category(self, category) | source code
get_category(self) | source code
display_invalid_name(self, message) | source code
display_db_exception(self, e) | source code
close(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db, container) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)